<?php defined( 'ABSPATH' ) || exit; ?>

<style>
.rokt-ecommerce-notice > button.notice-dismiss {
	top: 50%;
	transform: translateY(-50%);
}

.rokt-ecommerce-notice .get-started {
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	right: 40px;
}

.rokt-ecommerce-notice > .wrapper {
	display: flex;
	margin-right: 110px;
}

.rokt-ecommerce-notice .logo {
	display: inline-block;
	margin-left: 10px;
	margin-right: 22px;
}

.rokt-ecommerce-notice .content {
	padding-top: 10px;
	display: inline-block;
}

.rokt-ecommerce-notice .content > .title {
	margin: 4px 0;
	line-height: 17px;
	letter-spacing: -0.006px;
}

.rokt-ecommerce-notice .content > p.text {
	margin: 0;
	padding: 2px 0;
	font-size: 14px;
	line-height: 17px;
	letter-spacing: 0.466667px;
}

</style>
<div class="notice notice-success is-dismissible rokt-ecommerce-notice">
	<div class="wrapper">
		<img class="logo" alt="Rokt logo" src="<?php echo esc_url( plugin_dir_url( __DIR__ ) . '/assets/rokt-logo.svg' ); ?>"></img>
		<div class="content">
			<h4 class="title"><strong><?php echo esc_html__( 'You have just installed Rokt Ecommerce!', 'rokt-ecommerce' ); ?></strong></h4>
			<p class="text"><?php echo esc_html__( 'Monetize your confirmation page and unlock value for shoppers', 'rokt-ecommerce' ); ?></p>
		</div>
	</div>
	<a class="get-started" href="<?php echo esc_url( admin_url( 'admin.php?page=rokt-ecommerce' ) ); ?>">
		<button class="button button-primary"> <?php echo esc_html__( 'Get started', 'rokt-ecommerce' ); ?></button>
	</a>
</div>
