<?php defined( 'ABSPATH' ) || exit; ?>

<script>
	(function(r, o, k, t, n, e, w, a, _) {
		r._ROKT_ = n;
		r[n] = r[n] || {
			id: t,
			h: w,
			lc: [],
			it: new Date(),
			onLoaded: function(c) {
				r[n].lc.push(c)
			}
		};
		a = o.createElement('script');
		a.type = 'text/javascript';
		a.async = !0;
		a.src = k;
		if (e) {
			a.integrity = e;
			a.crossOrigin = 'anonymous'
		}
		_ = o.getElementsByTagName('script')[0];
		_.parentNode.insertBefore(a, _)
	})(window, document, '<?php echo esc_attr( $rokt_sdk_script ); ?>', '<?php echo esc_attr( $rokt_tag_id ); ?>', 'rokt');

	var getFirstBrowserLanguage = function() {
		var nav = window.navigator,
			browserLanguagePropertyKeys = ['language', 'browserLanguage', 'systemLanguage', 'userLanguage'],
			i, language;
		// support for HTML 5.1 "navigator.languages"
		if (Array.isArray(nav.languages)) {
			for (i = 0; i < nav.languages.length; i++) {
				language = nav.languages[i];
				if (language && language.length >= 2) {
					return language.slice(0, 2);
				}
			}
		}
		// support for other well known properties in browsers
		for (i = 0; i < browserLanguagePropertyKeys.length; i++) {
			language = nav[browserLanguagePropertyKeys[i]];
			if (language && language.length >= 2) {
				return language.slice(0, 2);
			}
		}
		return null;
	};
	rokt.onLoaded(function(rokt) {
		let roktAttributes = <?php echo wp_json_encode( $rokt_attributes, JSON_FORCE_OBJECT ); ?>;
		if (!roktAttributes) {
			roktAttributes = {};
		}
		roktAttributes.lang = getFirstBrowserLanguage();
		rokt.setAttributes(roktAttributes);
	});
</script>
